Summary:        Hatch plugin for versioning with your preferred VCS
Name:           python-hatch-vcs
Version:        0.4.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/ofek/hatch-vcs
Source0:        https://github.com/ofek/hatch-vcs/archive/refs/tags/v%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python3-devel  python3dist(pytest)
BuildRequires:  git-core

%description
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.


%package -n python3-hatch-vcs
Summary:        Hatch plugin for versioning with your preferred VCS

%description -n python3-hatch-vcs 
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.


%prep
%autosetup -n hatch-vcs-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatch_vcs

%check
%pytest


%files -n python3-hatch-vcs -f %{pyproject_files}
%license LICENSE.txt
%license %{python3_sitelib}/hatch_vcs-%{version}.dist-info/licenses/
%doc HISTORY.md README.md

%changelog
* Wed Jan 31 2024 Upgrade Robot <upbot@opencloudos.org> - 0.4.0-1
- Upgrade to version 0.4.0 for python-platformdirs 4.2.0.

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 0.3.0-1
- Bump version to 0.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu May 4 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.2.0-4
- add patch to fix the test

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.2.0-1
- package init.
